本地运行正常的java项目打包成war包放到tomcat下的webapp下,报如下错

逗比一个 发布于 2016/11/08 16:41
阅读 643
收藏 0

本地运行正常的java项目打包成war包放到tomcat下的webapp下,报如下错

如下:上面的服务器的tomcat配置,下面是本地的tomcat配置

该怎么修改啊?大神们

加载中
0
alexgaoyh
alexgaoyh
jdk 版本不一样??
逗比一个
都是1.7.0-67-x64呀,图里有呀
0
landcoder
landcoder
jdk问题
逗比一个
回复 @landcoder : tomcat用的jdk是1.7的,第二张图下面的部分就 是本地tomcat参数,里面有所用的jdk版本信息
landcoder
landcoder
回复 @逗比一个 :编译的jdk版本是什么
逗比一个
怎么改呀,啥问题了
0
庄津津
庄津津
你编译项目的时候,用的jdk版本是多少,在MANIFEST可以看到Build-Jdk
庄津津
庄津津
回复 @逗比一个 : war里面有个META-INF,里面有个MANIFEST文件,打开看看
逗比一个
Manifest-Version: 1.0 Class-Path: 里面就这两句,哥们
逗比一个
这个文件在哪里呀
0
西昆仑
西昆仑
检查jdk. 跟我以前错误一样。 不过我的是Linux服务器。把自带的Openjdk换成Oracle的最新版本Jdk. 就好了。
西昆仑
西昆仑
用同一个JDK编译运行。
逗比一个
我这里的服务器是windows的,咋改呀,试了好多方法了
返回顶部
顶部